DefaultQueueListEntry (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.impl.DefaultQueueListEntry class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.impl
Class DefaultQueueListEntry

    java.lang.Object
      org.codehaus.activemq.service.impl.DefaultQueueListEntry

All Implemented Interfaces:
  QueueListEntry

public final class DefaultQueueListEntry
extends Object
implements QueueListEntry

Linked list entry class

Field Summary
`(package private) Object` | `element`
`(package private) DefaultQueueListEntry` | `next`
`(package private) DefaultQueueListEntry` | `previous`

Constructor Summary
`(package private)` | `DefaultQueueListEntry(Object element, DefaultQueueListEntry next, DefaultQueueListEntry previous)` Create a DefaultQueueListEntry for an object value

Method Summary
`Object` | `getElement()` Get the Object value for this entry

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### element

    Object element

### next

    DefaultQueueListEntry next

### previous

    DefaultQueueListEntry previous

Constructor Detail

### DefaultQueueListEntry

    DefaultQueueListEntry(Object element,
                          DefaultQueueListEntry next,
                          DefaultQueueListEntry previous)

  Create a DefaultQueueListEntry for an object value

Parameters:
  `element` - the value
  `next` -
  `previous` -

Method Detail

### getElement

    public Object getElement()

  Get the Object value for this entry

  Specified by:
    `getElement` in interface `QueueListEntry`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.